org.apache.xerces.xinclude

## Class XInclude11TextReader

- java.lang.Object
- - org.apache.xerces.xinclude.XIncludeTextReader
  - - org.apache.xerces.xinclude.XInclude11TextReader

    public class XInclude11TextReader
    extends XIncludeTextReader

This class is used for reading resources requested in <include> elements in XML 1.1 entities, when the parse attribute of the <include> element is "text". Using this class will open the location, detect the encoding, and discard the byte order mark, if applicable.

Version:
  $Id: XInclude11TextReader.java 447243 2006-09-18 05:15:27Z mrglavas $
Author:
  Michael Glavassevich, IBM
See Also:
  `XIncludeHandler`

### Constructor Summary

Constructors
Constructor and Description
`XInclude11TextReader(org.apache.xerces.xni.parser.XMLInputSource source, XIncludeHandler handler, int bufferSize)` Construct the XIncludeReader using the XMLInputSource and XIncludeHandler.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `isValid(int ch)` Returns true if the specified character is a valid XML character as per the rules of XML 1.1.

### Methods inherited from class org.apache.xerces.xinclude.XIncludeTextReader

`close, consumeBOM, getEncodingName, getEncodingName, getReader, parse, setBufferSize, setErrorReporter, setInputSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XInclude11TextReader

    public XInclude11TextReader(org.apache.xerces.xni.parser.XMLInputSource source,
                                XIncludeHandler handler,
                                int bufferSize)
                         throws java.io.IOException

Construct the XIncludeReader using the XMLInputSource and XIncludeHandler.

Parameters:
  `source` - The XMLInputSource to use.
  `handler` - The XIncludeHandler to use.
  `bufferSize` - The size of this text reader's buffer.
Throws:
  `java.io.IOException`

### Method Detail

#### isValid

    protected boolean isValid(int ch)

Returns true if the specified character is a valid XML character as per the rules of XML 1.1.

Overrides:
  `isValid` in class `XIncludeTextReader`
Parameters:
  `ch` - The character to check.